@import "variables";
@import "base";
@media (min-width: 320px) {

    .main__section-1-img {
      width: 100%;
      height: auto;
      display: block;
      max-width: 100%;
  }

  .main__section-1-block {
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
      gap: 0px;
  }

  .main__section-1-text {
      font-family: "Gilroy", sans-serif;
      font-weight: 300;
      font-size: 30px;
      text-align: center;
      color: #252525;
      margin-bottom: 30px;
      margin-top: 30px;
  }

  .main__section-1-about--mod {
      font-family: "Gilroy-extra", sans-serif;
  }

  .main__section-1-about {
      display: flex;
      align-items: flex-end;
      justify-content: flex-start;
      flex-direction: column;
      gap: 30px;

      padding: 40px 0;
      width: 100%;

      background: #252525;
  }

  .main__section-1-about-text {
      font-family: "Gilroy", sans-serif;
      font-weight: 400;
      font-size: 28px;
      line-height: 1;
      text-transform: uppercase;
      text-align: right;
      color: #fff;
      margin-right: 30px;
  }

  .main__section-1-about-img {
      display: flex;
      gap: 20px;
      margin-right: 30px;
  }

  .main__section-1-about-link-1 {
      image: no-repeat;
  }

  .main__section-2 {
      border-bottom: 1px solid #252525;
  }

  .main__section-2-block {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-around;
      align-items: center;
      gap: 20px;

      padding: 30px 20px;
      margin: 0 auto;
  }

  .main__section-2-logo {
      border-radius: 50px;
      background: #fff;
      padding: 15px 40px;

  }

  .main__section-3 {
      display: flex;
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
      gap: 0px;
  }

  .main__secction-3-image-container {
      background-image: url('../images/what-i-do-bgd.jpg');
          background-size: cover; 
          background-position: center; 
          width: 100%;
          height: 400px; 
  }

  .main__section-3-block {
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
      margin-bottom: 20px;
  }

  .main__section-3-title {
      font-family: "Gilroy", sans-serif;
      font-weight: 300;
      font-size: 80px;
      text-transform: uppercase;
      text-align: center;
      color: #252525;
  }

  .main__section-3-header {
      margin-bottom: 40px;
      margin-top: 20px;
  }

  .main__secction-3-container {
      display: flex;
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
      gap: 30px;
  }

  .main__section-3-block-1 {
      display: flex;
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
      gap: 10px;

      margin-bottom: 20px;
      margin-left: 20px;
  }

  .main__section-3-block-title {
      font-family: "Gilroy-extra", sans-serif;
      font-size: 35px;
      text-transform: uppercase;
      color: #000;
  }

  .main__section-3-block-text {
      font-family: "Inter", sans-serif;
      font-weight: 400;
      font-size: 20px;
      line-height: 1.4;
      color: #000;
  }
      
  .main__section-3-block-title--mod1::before {
      font-family: "Gilroy", sans-serif;
      font-weight: 400;
      margin-right: 10px;
      content: "01";
  }

  .main__section-3-block-title--mod2::before {
      font-family: "Gilroy", sans-serif;
      font-weight: 400;
      margin-right: 10px;
      content: "02";
  }

  .main__section-3-block-title--mod3::before {
      font-family: "Gilroy", sans-serif;
      font-weight: 400;
      margin-right: 10px;
      content: "03";
  }

  .main__section-3-block-title--mod4::before {
      font-family: "Gilroy", sans-serif;
      font-weight: 400;
      margin-right: 10px;
      content: "04";
  }

  .main__section-4 {
    padding: 30px 20px;

  }

  .main__section-4-block {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }

  .main__section-4-block-img {
    width: 100%;
    height: auto;

    margin-bottom: 20px;
  }

  .main__section-4-title {
    color: rgb(37, 37, 37);
    font-family: "Gilroy", sans-serif;
    font-size: 80px;
    font-weight: 300;
    line-height: 92px;
    text-align: center;
    text-transform: uppercase;

    margin: 0 auto 30px;
  }

  .main__section-4-design-subtitle {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
    height: 30px;

    flex-wrap: wrap;
  }

  .main__section-4-design-block {
    display: flex;
    flex-direction: column;
    gap: 30px;
  }

  .main__section-4-design-title {
    color: rgb(0, 0, 0);
    font-family: "Gilroy-bald", sans-serif;
    font-size: 35px;
    text-align: left;
    text-transform: uppercase;
  }

  .main__section-4-design-link {
    padding: 15px 30px;
    background-color: #FFFFFF;
    border-radius: 50px;

    color: rgb(37, 37, 37);
    font-family: "Gilroy-medium", sans-serif;
    font-size: 18px;
    font-weight: 400;
    text-align: left;
  }

  .main__section-4-design {
    display: flex;
    flex-direction: column;
    gap: 30px;
    height: 200px;
    margin-bottom: 30px;

    justify-content: space-between;
  }

  .main__section-4-design-button {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: flex-end;
  }

  .main__section-4-btn {
    background-color: #FFFFFF;
    border-radius: 50px;

    color: rgb(37, 37, 37);
    font-family: "Gilroy", sans-serif;
    font-size: 18px;
    font-weight: 400;
    text-align: center;

    width: 100%;
    padding: 15px 60px;
    margin-top: 40px;
  }

  .main__section-4-button {
    display: flex;
    flex-direction: row;
    justify-content: center;

    width: 100%;
  }


  .main__section-6,
  .main__section-7 {
    padding: 30px 20px 50px;
  }

  .main__section-5-title,
  .main__section-6-title {
    display: flex;
    justify-content: center;
    height: 92px;

    color: rgb(37, 37, 37);
    font-family: "Gilroy", sans-serif;
    font-size: $font-size-xxl;
    line-height: 92px;
    text-align: left;
    text-transform: uppercase;

    margin: 30px auto 30px;
  }

  .main__section-5-block {
    margin: 0 30px;
  }

  .main__section-5-subblock {
    display: block;
    width: 100%;

    padding: 40px 0 40px;

    border-bottom: 1px solid rgb(37, 37, 37);

    &:last-child {
      border: none;
    }
  }

  .main__section-5-subblock-title {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-extra",sans-serif;
    font-size: $font-size-xl;
    line-height: 44px;
    text-align: left;

    margin: 30px 0;
  }

  .main__section-5-subblock-text {
    color: rgb(0, 0, 0);
    font-family: "Inter", sans-serif;
    font-size: $font-size-large;
    font-weight: 400;
    line-height: 30px;
    text-align: left;

    &-2 {
      color: rgb(0, 0, 0);
      font-family: "Inter", sans-serif;
      font-size: $font-size-large;
      font-weight: 600;
      line-height: 20px;
      text-align: left;
    }

    &-3 {
      color: rgb(0, 0, 0);
      font-family: "Inter", sans-serif;
      font-size: $font-size-large;
      font-weight: 400;
      line-height: 20px;
      text-align: left;
    }

    &-2,
    &-3 {
      margin-left: 80px;
      padding-top: 10px;
    }
  }

  .main__section-5-subblock-client {
    position: relative;
    margin-top: 30px;

    height: 70px;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 70px;
      height: 70px;

      border-radius: 50px;
    }

    &-1::before {
      background: url("../images/client-1.jpg") no-repeat;
      background-size: cover;
    }

    &-2::before {
      background: url("../images/client-2.jpg") no-repeat;
      background-size: cover;
    }

    &-3::before {
      background: url("../images/client-3.jpg") no-repeat;
      background-size: cover;
    }

    &-4::before {
      background: url("../images/client-4.jpg") no-repeat;
      background-size: cover;
    }

    &-5::before {
      background: url("../images/client-5.jpg") no-repeat;
      background-size: cover;
    }

    &-6::before {
      background: url("../images/client-6.jpg") no-repeat;
      background-size: cover;
    }
  }

  .main__section-6-subblock {
    display: flex;
    flex-direction: column;

    padding: 20px 0;
  }

  .main__section-6-subblock-name {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-extra", sans-serif;
    font-size: $font-size-extra-large;
    line-height: 37px;
    text-align: center;

    text-transform: uppercase;

    margin-bottom: 5px;
  }

  .main__section-6-subblock-work {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-medium", sans-serif;
    font-size: $font-size-large;
    font-weight: 400;
    line-height: -1px;
    text-align: center;
  }

  .main__section-6-subblock-img {
    display: block;
    width: 100%;
    max-width: 100%;
    height: auto;

    margin-top: 15px;
    filter: grayscale(100%);
  }

  .main__section-6-subblock-icons {
    display: flex;
    justify-content: center;
    gap: 10px;

    margin-top: 15px;
  }

  .main__section-6-subblock-job {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    padding-top: 30px;
  }

  .main__section-6-job-text {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-medium", sans-serif;
    font-size: $font-size-extra-large;
    font-weight: 400;
    line-height: -1px;
    text-align: center;

    text-transform: uppercase;
  }

  .main__section-6-job-title {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-bald", sans-serif;
    font-size: $font-size-xl;
    line-height: -1px;
    text-align: center;

    text-transform: uppercase;

    margin: 15px 0;
  }

  .main__section-6-job-btn,
  .main__section-7-block-btn,
  .main__section-4-design-btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    position: relative;

    color: rgb(255, 255, 255);
    font-family: "Gilroy-medium", sans-serif;
    font-size: 18px;
    font-weight: 400;
    line-height: -1px;
    text-align: left;
    text-transform: capitalize;

    width: 100%;
    padding: 15px 30px;

    background-color: rgb(37, 37, 37);
    border-radius: 50px;

    &::after {
      content: "";
      top: 0;
      right: 0;

      margin-left: 10px;

      background: url("../images/arrow-2.svg") no-repeat;
      background-size: cover;

      width: 24px;
      height: 17px;
    }
  }

  .main__section-4-design-btn {
    width: 165px;
  }

  .main__section-7-title {
    color: rgb(51, 51, 51);
    font-family: "Gilroy", sans-serif;
    font-size: 80px;
    line-height: 92px;
    text-align: center;
    text-transform: uppercase;
  }

  .main__section-7-block {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 30px;
  }

  .main__section-7-block-title {
    color: rgb(37, 37, 37);
    font-family: "Gilroy-bald", sans-serif;
    font-size: 50px;
    line-height: 70px;

    text-align: center;
    text-transform: uppercase;

    margin-top: 30px;
  }

  .main__section-7-block-text {
    color: rgb(37, 37, 37);
    font-family: "Gilroy-medium", sans-serif;
    font-size: $font-size-extra-large;
    text-align: center;
  }

  .footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    padding: 20px 30px;
  }

  .footer__block-copyright {
    color: rgb(51, 51, 51);
    font-family: "Gilroy-medium", sans-serif;
    font-size: 18px;
    text-align: left;

    &--mod {
      font-family: "Gilroy", sans-serif;
      font-weight: 600;
    }
  }

  .footer__block {
    display: flex;
    gap: 10px;
    margin-top: 20px;
  }
}